Friday, September 14, 2012

EMF Compare 2 is available

On behalf of the team, I am very proud to announce that the 2.0 release of EMF Compare is now available and can be downloaded from its update site. This release is compatible with Eclipse 3.5, 3.6, 3.7, 3.8 and 4.2.

This new version is an overhaul of the project and as such contains too many enhancements to really list. You can refer to the project plan for an overview of the major themes adressed by this new release, or to my previous post for more information on why we decided to rewrite EMF Compare.

API compatibility between the 1.3 and 2.0 releases is not assured. The new APIs provided with 2.0 were developed in order to be simpler and more intuitive. A migration guide is not yet available, but we will provide all possible help in order to bridge the gap between the two streams' APIs and help users migrate to the new and improved Compare.

Do not hesitate to drop by on the forum for any question regarding this release!

3 comments:

  1. That sounds nice. I just installed the new version. But I'm wondering how to do a graphical compare. Here, only a textual compare is done when selecting two ecorediag files and comparing each other. Is this done generically for each GMF-based graphical language?

    best regards,
    Jan

    ReplyDelete
    Replies
    1. Hi Jan,

      The graphical comparison (for ecoretools or papyrus diagrams) has not yet been ported to the new APIs, this is one of the work items we focus on for the 2.1 release that should follow before the end of this year.

      Delete